#!/usr/bin/env python

import os, sys, numpy
import scipy.interpolate

if __name__ == "__main__":

    infile = sys.argv[1]

    atmfile = sys.argv[2]

    outfile = sys.argv[3]

    print "loading input spectra",infile
    spec_in = numpy.loadtxt(infile)

    # load header
    hdr = open(infile, "r").readlines()[:3]

    print "loading planetary atmosphere"
    atm = numpy.loadtxt(atmfile)

    # Now prepare the ATM interpolator
    atm_interpol = scipy.interpolate.interp1d(
        atm[:,0], atm[:,1],
        bounds_error=False,
        fill_value=numpy.NaN,
        copy=True)

    
    spec_wl = spec_in[:,1]
    
    atm_integ = numpy.zeros((spec_in.shape[0],1))
    # prepare the smoothed integrated atmosphere

    print spec_wl.shape
    print atm_integ.shape

    for i, wl in enumerate(spec_wl):
        if (wl < atm[0,0] or wl > atm[-1,0]):
            continue
        left = (spec_wl[i-1]+wl)/2.
        right = (spec_wl[i+1]+wl)/2.
        # split in 100 sub-bins
        fine_wl = numpy.linspace(left, right, 101, endpoint=True)
        fine_response = atm_interpol(fine_wl)
        atm_integ[i] = numpy.mean(fine_response)

    numpy.savetxt("atm_integ.dump", 
                  numpy.append(spec_wl.reshape((-1,1)),
                               atm_integ.reshape((-1,1)), axis=1))

    #for ispec  in range(2, spec_in.shape[1]):
    #    spec_in[:,ispec] *= atm_integ

    spec_in[:, 2:] *= atm_integ

    # print hdr

    with open(outfile, "w") as out:
        out.write("".join(hdr))
        numpy.savetxt(out, spec_in)
        
    

        
