#!/usr/bin/env python

import os, sys, numpy
from optparse import OptionParser

if __name__ == "__main__":

    parser = OptionParser()
    parser.add_option("-s", "--skip", dest="skip",
                      help="# of lines/columns to skip",
                      default=1,
                      type=int)
    parser.add_option("-n", "--norm", dest="norm",
                      help="# of lines/columns to skip",
                      default=-1,
                      type=int)
    (options, cmdline_args) = parser.parse_args()

    infile = cmdline_args[0]

    outfile = cmdline_args[1]

    additions = []
    for p in cmdline_args[2:]:
        
        #additions.append(p.split(","))
        additions.append([float(d) for d in p.split("/")])

    indata = numpy.loadtxt(infile)
    if (indata.ndim == 1):
        indata = indata.reshape((1, -1))
    print indata.shape

    indata = indata[:, options.skip:]
    print indata.shape

    if (options.norm > 0):
        normdata = numpy.array(indata[:, options.norm-1])
        print normdata, normdata.shape, indata.shape
        indata -= normdata

    add_data = numpy.array(additions)
    print add_data.shape
    
    merged = numpy.append(add_data.T, indata.T, axis=1)
    #merged = indata.T

    numpy.savetxt(outfile, merged, "%f")
