#!/usr/bin/env python

import numpy
import os, sys
import math

if __name__ == "__main__":

    center =  float(sys.argv[1])  # to go from nm to Angstroem
    width = float(sys.argv[2])  # given in percent

    outfile = sys.argv[3]



    if (center > 0 and width > 0):
        center *= 10.
        width /= 100.
        width_a = width * center

        min_a = center - width_a/2.
        max_a = center + width_a/2.
    elif (center < 0 and width < 0):
        min_a = math.fabs(center)
        max_a = math.fabs(width)
        width_a = max_a - min_a

    n_points = 100
    step = width_a / n_points
    wl_point = (numpy.arange(n_points)-1) * step + min_a
    transmission = numpy.ones(wl_point.shape)

    transmission[0] = transmission[-1] = 0

    # merge wavelength and transmission
    merged = numpy.append(wl_point.reshape((-1,1)),
                          transmission.reshape((-1,1)), axis=1)
    numpy.savetxt(outfile, merged)

    print "results written to",outfile


