#!/usr/bin/env python

import os, sys, numpy

if __name__ == "__main__":

    outfile = sys.argv[1]

    lambdafile = sys.argv[2]

    fileformat = sys.argv[3]
    paramlist = sys.argv[4:]

    if (len(paramlist) == 1 and paramlist[0] == "auto"):
        paramlist = ["%d" % d for d in numpy.arange(4500,9001,250)]

    # open lamdba file
    print("Loading wavelength definition from", lambdafile)
    lambdas = numpy.loadtxt(lambdafile)

    # prepare output spectrum
    outputspec = numpy.empty((lambdas.shape[0], 2+len(paramlist)))

    outputspec[:, 0:2] = lambdas[:, :]

    for idx, param in enumerate(paramlist):
        f_param = float(param)

        filename = fileformat % (f_param)

        print("Loading spectrum %s" % (filename))
        flux = numpy.loadtxt(filename)
        outputspec[:, idx+2] = flux[:]

    # write results
    print("writing results")

    header = """\
%d %d
  %s
""" % (len(paramlist), lambdas.shape[0], " ".join(paramlist))

    numpy.savetxt(outfile, outputspec, header=header)

    print("all done!")
