set term postscript enhanced color
set output "plots.ps"
set macros
set cblabel "galaxy redshift"
set cbrange [0:5]

filename = "atmospheres/colors.datcolor_0.dat"
ssp_Z3 = "ssp_Z3/attmag.dat" #colors.datcolor_0.dat"
Sd_Z0 = "Sd_Z0/attmag.dat" #colors.datcolor_0.dat"

po = ""
plotall = '"atmospheres/earth__colors.datcolor_0.dat" u @po title "Earth", \
     "atmospheres/jupiter__colors.datcolor_0.dat" u @po title "Jupiter", \
     "atmospheres/saturn__colors.datcolor_0.dat" u @po title "Saturn", \
     "atmospheres/uranus__colors.datcolor_0.dat" u @po title "Uranus", \
     "atmospheres/neptune__colors.datcolor_0.dat" u @po title "Neptune", \
     "atmospheres/titan__colors.datcolor_0.dat" u @po title "Titan"'

plotall_gals = '@plotall, \
            ssp_Z3 u @pog:1  w l lc pal lt 0 title "SSP Z3", \
     Sd_Z0 u @pog:1 w l lc pal lt 1 title "Sd Z0" '

# plot "atmospheres/earth__colors.datcolor_0.dat" u 1:($2-$3) title "Earth", \
#      "atmospheres/jupiter__colors.datcolor_0.dat" u 1:($2-$3) title "Jupiter", \
#      "atmospheres/saturn__colors.datcolor_0.dat" u 1:($2-$3) title "Saturn", \
#      "atmospheres/uranus__colors.datcolor_0.dat" u 1:($2-$3) title "Uranus", \
#      "atmospheres/neptune__colors.datcolor_0.dat" u 1:($2-$3) title "Neptune", \
#      "atmospheres/titan__colors.datcolor_0.dat" u 1:($2-$3) title "Titan"

set xlabel "Host star Teff {Kelvin]"
set ylabel "color index [mag]"

po = "1:($2-$3)"
set title "B1 - B2"
plot @plotall



set xlabel "wavelength [A]"
set ylabel "albedo"

planets = '\
     "../atmospheres/earth.atm" u 1:2 w l title "earth", \
     "../atmospheres/jupiter.atm" u 1:2 w l title "jupiter", \
     "../atmospheres/saturn.atm" u 1:2 w l title "saturn", \
     "../atmospheres/uranus.atm" u 1:2 w l title "uranus", \
     "../atmospheres/neptun.atm" u 1:2 w l title "neptune", \
     "../atmospheres/titan.atm" u 1:2 w l title "titan"\
'


fpo = " u 1:2 w l lw 3"
set xrange [3500:10000]
plot @planets,\
     "../filters/wfirst_coronagraph_b1.filter" @fpo
plot @planets,\
     "../filters/wfirst_coronagraph_b2.filter" @fpo
plot @planets,\
     "../filters/wfirst_coronagraph_b3.filter" @fpo
plot @planets,\
     "../filters/wfirst_coronagraph_b4.filter" @fpo
plot @planets,\
     "../filters/wfirst_coronagraph_b5.filter" @fpo
plot @planets,\
     "../filters/wfirst_coronagraph_b6.filter" @fpo
plot @planets,\
     "../filters/wfirst_coronagraph_b7.filter" @fpo


reset
set xlabel "redshift"
set ylabel "attenuated magnitude"


pog=""
plotgal = 'ssp_Z3 u @pog lt 0 title "SSP Z3", Sd_Z0 u @pog  title "Sd Z0" '


pog = '1:($2 < 50 ? $2 : 1/0)'
plot @plotgal

pog = '1:($3 < 50 ? $3 : 1/0)'
plot @plotgal

pog = '1:($4 < 50 ? $4 : 1/0)'
plot @plotgal

pog = '1:($5 < 50 ? $5 : 1/0)'
plot @plotgal

pog = '1:($6 < 50 ? $6 : 1/0)'
plot @plotgal

pog = '1:($7 < 50 ? $7 : 1/0)'
plot @plotgal

pog = '1:($8 < 50 ? $8 : 1/0)'
plot @plotgal


pog = '($2 < 50 ? $2-$3 : 1/0):($3-$4):1 w l lc pal'
set title pog
plot @plotgal

pog = '($2 < 50 ? $2-$4 : 1/0):($4-$5):1 w l lc pal'
plot @plotgal

pog = '($3 < 50 ? $3-$4 : 1/0):($4-$5):1 w l lc pal'
plot @plotgal


set xlabel 'color'
set ylabel 'color'

po = "($2-$3):($3-$4)"
pog = "($2 < 50 ? $2-$3 : 1/0):($3-$4)"
set title pog 
plot @plotall_gals

po = "($2-$4):($4-$5)"
pog = "($2 < 50 ? $2-$3 : 1/0):($4-$5)"
set title pog 
plot @plotall_gals

po = "($2-$5):($5-$6)"
pog = "($2 < 50 ? $2-$5 : 1/0):($5-$6)"
set title pog 
plot @plotall_gals

po = "($2-$6):($6-$7)"
pog = "($2 < 50 ? $2-$7 : 1/0):($6-$7)"
set title pog 
plot @plotall_gals



po = "($3-$4):($4-$5)"
pog = "($3 < 50 ? $3-$4 : 1/0):($4-$5)"
set title pog 
plot @plotall_gals

po = "($3-$5):($5-$6)"
pog = "($3 < 50 ? $3-$5 : 1/0):($5-$6)"
set title pog 
plot @plotall_gals

po = "($3-$6):($6-$7)"
pog = "($3 < 50 ? $3-$7 : 1/0):($6-$7)"
set title pog 
plot @plotall_gals



po = "($4-$5):($5-$7)"
pog = "($3 < 50 ? $4-$5 : 1/0):($5-$6)"
set title pog 
plot @plotall_gals

po = "($5-$6):($6-$7)"
pog = "($2 < 50 ? $5-$6 : 1/0):($6-$7)"
set title pog 
plot @plotall_gals




set xrange [-0.7:0.7]
set yrange [-.1:.15]

po = "($3-$4):($4-$5)"
pog = "($3 < 50 ? $3-$4 : 1/0):($4-$5)"
set title pog 
plot @plotall_gals

