#!/usr/bin/env gnuplot

set terminal png size 900,600 font ",16"
set macros

set format x "%.1f"
set format y "%.1f"
set key spacing 1.5

po = 'u ($2-$3):($4-$5) w lp ps 2'
set xlabel "color index WFIRST W465-W565 [mag]"
set ylabel "color index WFIRST W835-W885 [mag]"
# set xrange [-0.2:0.8] #0.3:0.34]
# set yrange [-0.07:0.09] #[0.00:0.01]
set key bottom right Right noreverse
set output "planets_around_Teffstars_wfirst__12-34.png"
set title "Planets around star with varying temperature"
plot "../models/filter_comp/stars_wfirst__earth__colors.dat" @po title "Earth", \
     "../models/filter_comp/stars_wfirst__jupiter__colors.dat" @po title "Jupiter", \
     "../models/filter_comp/stars_wfirst__saturn__colors.dat" @po title "Saturn", \
     "../models/filter_comp/stars_wfirst__uranus__colors.dat" @po title "Uranus", \
     "../models/filter_comp/stars_wfirst__neptune__colors.dat" @po title "Neptune", \
     "../models/filter_comp/stars_wfirst__titan__colors.dat" @po title "Titan",  \
     "../models/filter_comp/stars_wfirst__earth__colors.dat" u \
     ($2-$3):($4-$5+0.015):(sprintf("%d", $1)) every 2 w labels rotate by 90 not


po = 'u ($2-$5):($3-$4) w lp ps 2'
set xlabel "color index WFIRST W465-W885 [mag]"
set ylabel "color index WFIRST W565-W835 [mag]"
# set xrange [-0.7:1.6] #[0.54:0.55] #[0.3:0.34]
# set yrange [-0.45:.8] #[0.232:0.24] #[0.00:0.01]
set key top left Left reverse
set output "planets_around_Teffstars_wfirst__14-23.png"

plot "../models/filter_comp/stars_wfirst__earth__colors.dat" @po title "Earth", \
     "../models/filter_comp/stars_wfirst__jupiter__colors.dat" @po title "Jupiter", \
     "../models/filter_comp/stars_wfirst__saturn__colors.dat" @po title "Saturn", \
     "../models/filter_comp/stars_wfirst__uranus__colors.dat" @po title "Uranus", \
     "../models/filter_comp/stars_wfirst__neptune__colors.dat" @po title "Neptune", \
     "../models/filter_comp/stars_wfirst__titan__colors.dat" @po title "Titan"


po = 'u ($2-$4):($3-$5) w lp ps 2'
set xlabel "color index WFIRST W465-W835 [mag]"
set ylabel "color index WFIRST W565-W885 [mag]"
# set xrange [-0.6:1.5] #[0.54:0.56] #[0.3:0.34]
# set yrange [-0.6:0.8] #[0.225:0.24] #[0.00:0.01]
set key top left Left reverse
set output "planets_around_Teffstars_wfirst__13-24.png"

plot "../models/filter_comp/stars_wfirst__earth__colors.dat" @po title "Earth", \
     "../models/filter_comp/stars_wfirst__jupiter__colors.dat" @po title "Jupiter", \
     "../models/filter_comp/stars_wfirst__saturn__colors.dat" @po title "Saturn", \
     "../models/filter_comp/stars_wfirst__uranus__colors.dat" @po title "Uranus", \
     "../models/filter_comp/stars_wfirst__neptune__colors.dat" @po title "Neptune", \
     "../models/filter_comp/stars_wfirst__titan__colors.dat" @po title "Titan"






zcutoff = 2.75
set cbrange [0:zcutoff]
set cblabel "Redshift"

po = 'u ($2-$3):($4-$5) w lp ps 2'
gpo = 'u ($1 < zcutoff ? $2-$3 : 1/0):($4-$5):1 w l lc pal'
set xlabel "color index WFIRST W465-W565 [mag]"
set ylabel "color index WFIRST W835-W885 [mag]"
# set xrange [-0.2:0.8] #0.3:0.34]
# set yrange [-0.07:0.09] #[0.00:0.01]
set key bottom right Right noreverse
set output "planets_around_Teffstars+gals_wfirst__12-34.png"
set title "Planets around star with varying temperature"
plot "../models/filter_comp/stars_wfirst__earth__colors.dat" @po title "Earth", \
     "../models/filter_comp/stars_wfirst__jupiter__colors.dat" @po title "Jupiter", \
     "../models/filter_comp/stars_wfirst__saturn__colors.dat" @po title "Saturn", \
     "../models/filter_comp/stars_wfirst__uranus__colors.dat" @po title "Uranus", \
     "../models/filter_comp/stars_wfirst__neptune__colors.dat" @po title "Neptune", \
     "../models/filter_comp/stars_wfirst__titan__colors.dat" @po title "Titan",  \
     "../models/Sd_Z0/attmag.dat" @gpo title "Sd", \
     "../models/ssp_Z3/attmag.dat" @gpo title "SSP"


po = 'u ($2-$5):($3-$4) w lp ps 2'
gpo = 'u ($1 < 2.75 ? $2-$5 : 1/0):($3-$4):1 w l lc pal'
set xlabel "color index WFIRST W465-W885 [mag]"
set ylabel "color index WFIRST W565-W835 [mag]"
# set xrange [-0.7:1.6] #[0.54:0.55] #[0.3:0.34]
# set yrange [-0.45:.8] #[0.232:0.24] #[0.00:0.01]
set key top left Left reverse
set output "planets_around_Teffstars+gals_wfirst__14-23.png"

plot "../models/filter_comp/stars_wfirst__earth__colors.dat" @po title "Earth", \
      "../models/filter_comp/stars_wfirst__jupiter__colors.dat" @po title "Jupiter", \
      "../models/filter_comp/stars_wfirst__saturn__colors.dat" @po title "Saturn", \
      "../models/filter_comp/stars_wfirst__uranus__colors.dat" @po title "Uranus", \
      "../models/filter_comp/stars_wfirst__neptune__colors.dat" @po title "Neptune", \
      "../models/filter_comp/stars_wfirst__titan__colors.dat" @po title "Titan", \
      "../models/Sd_Z0/attmag.dat" @gpo title "Sd", \
      "../models/ssp_Z3/attmag.dat" @gpo title "SSP"

# po = 'u ($2-$4):($3-$5) w lp ps 2'
# gpo = 'u ($1 < zcutoff ? $2-$4 : 1/0):($3-$5):1 w l lc pal'
# set xlabel "color index WFIRST W465-W835 [mag]"
# set ylabel "color index WFIRST W565-W885 [mag]"
# # set xrange [-1:2] #[0.54:0.56] #[0.3:0.34]
# # set yrange [-1:2] #[0.225:0.24] #[0.00:0.01]
# set key top left Left reverse
# set output "planets_around_Teffstars+gals_wfirst__13-24.png"

# plot "../models/filter_comp/stars_wfirst__earth__colors.dat" @po title "Earth", \
#      "../models/filter_comp/stars_wfirst__jupiter__colors.dat" @po title "Jupiter", \
#      "../models/filter_comp/stars_wfirst__saturn__colors.dat" @po title "Saturn", \
#      "../models/filter_comp/stars_wfirst__uranus__colors.dat" @po title "Uranus", \
#      "../models/filter_comp/stars_wfirst__neptune__colors.dat" @po title "Neptune", \
#      "../models/filter_comp/stars_wfirst__titan__colors.dat" @po title "Titan", \
#      "../models/Sd_Z0/attmag.dat" @gpo lw 2 title "Sd", \
#      "../models/ssp_Z3/attmag.dat" @gpo lt 0 title "SSP"





