#!/usr/bin/env gnuplot

set terminal png size 900,600 font ",16"
set macros

set format x "%.1f"
set format y "%.1f"
set key spacing 1.5

po = 'u ($2-$3):($4-$5) ps 4'
set xlabel "color index WFIRST W465-W565 [mag]"
set ylabel "color index WFIRST W835-W885 [mag]"
set xrange [-0.1:1.0]
set yrange [-2.1:0.3]
set output "planets_around_g2v_wfirst__12-34.png"
set title "Planets around G2V star"
set key bottom right Right noreverse
plot "../models/filter_comp/wfirst__earth__colors.dat" @po title "Earth", \
     "../models/filter_comp/wfirst__jupiter__colors.dat" @po title "Jupiter", \
     "../models/filter_comp/wfirst__saturn__colors.dat" @po title "Saturn", \
     "../models/filter_comp/wfirst__uranus__colors.dat" @po title "Uranus", \
     "../models/filter_comp/wfirst__neptune__colors.dat" @po title "Neptune", \
     "../models/filter_comp/wfirst__titan__colors.dat" @po title "Titan"


po = 'u ($2-$4):($3-$5) ps 4'
set xlabel "color index WFIRST W465-W835 [mag]"
set ylabel "color index WFIRST W565-W885 [mag]"
set xrange [-1.6:1.5] #[0.54:0.55] #[0.3:0.34]
set yrange [-3.5:0.5] #[0.232:0.24] #[0.00:0.01]
set key top left Left reverse
set output "planets_around_g2v_wfirst__13-24.png"
set title "Planets around G2V star"
plot "../models/filter_comp/wfirst__earth__colors.dat" @po title "Earth", \
     "../models/filter_comp/wfirst__jupiter__colors.dat" @po title "Jupiter", \
     "../models/filter_comp/wfirst__saturn__colors.dat" @po title "Saturn", \
     "../models/filter_comp/wfirst__uranus__colors.dat" @po title "Uranus", \
     "../models/filter_comp/wfirst__neptune__colors.dat" @po title "Neptune", \
     "../models/filter_comp/wfirst__titan__colors.dat" @po title "Titan"




po = 'u ($2-$5):($3-$4) ps 4'
set xlabel "color index WFIRST W465-W885 [mag]"
set ylabel "color index WFIRST W565-W835 [mag]"
set xrange [-3.2:0.7] #[0.54:0.56] #[0.3:0.34]
set yrange [-1.7:0.5] #[0.225:0.24] #[0.00:0.01]
set key top left Left reverse
set output "planets_around_g2v_wfirst__14-23.png"
set title "Planets around G2V star"
plot "../models/filter_comp/wfirst__earth__colors.dat" @po title "Earth", \
     "../models/filter_comp/wfirst__jupiter__colors.dat" @po title "Jupiter", \
     "../models/filter_comp/wfirst__saturn__colors.dat" @po title "Saturn", \
     "../models/filter_comp/wfirst__uranus__colors.dat" @po title "Uranus", \
     "../models/filter_comp/wfirst__neptune__colors.dat" @po title "Neptune", \
     "../models/filter_comp/wfirst__titan__colors.dat" @po title "Titan"




set xrange [*:*]
set yrange [*:*]

set output "planets_around_g2v_johnson__bv-ri.png"
## set xrange [0.46:0.55]
## set yrange [0.05:0.14]
set key bottom right Right noreverse
set xrange [-0.1:1.3] #[0.66:0.77]
set yrange [-1.5:0.1] #[0.28:0.32]
set xlabel "B-V"
set ylabel "R-I"
po = 'u ($2-$3):($4-$5) ps 4'
plot "../models/filter_comp/johnson___earth__colors.dat" @po title "Earth", \
     "../models/filter_comp/johnson___jupiter__colors.dat" @po title "Jupiter", \
     "../models/filter_comp/johnson___saturn__colors.dat" @po title "Saturn", \
     "../models/filter_comp/johnson___uranus__colors.dat" @po title "Uranus", \
     "../models/filter_comp/johnson___neptune__colors.dat" @po title "Neptune", \
     "../models/filter_comp/johnson___titan__colors.dat" @po title "Titan"

set output "planets_around_g2v_johnson__bi-vr.png"
set key top left Left reverse
po =' u ($2-$5):($3-$4) ps 4'
set xrange [-1.7:1.6] #[0.75:0.86] #[0.46:0.55]
set yrange [-0.7:0.5] #[0.2:0.23] #[0.05:0.14]
set xlabel "B-I"
set ylabel "V-R"
plot "../models/filter_comp/johnson___earth__colors.dat" @po title "Earth", \
     "../models/filter_comp/johnson___jupiter__colors.dat" @po title "Jupiter", \
     "../models/filter_comp/johnson___saturn__colors.dat" @po title "Saturn", \
     "../models/filter_comp/johnson___uranus__colors.dat" @po title "Uranus", \
     "../models/filter_comp/johnson___neptune__colors.dat" @po title "Neptune", \
     "../models/filter_comp/johnson___titan__colors.dat" @po title "Titan"
 
set output "planets_around_g2v_johnson__br_vi.png"
set key bottom right Right noreverse
po =' u ($2-$4):($3-$5) ps 4'
set xrange [-0.4:1.7] #[0.67:0.77] #[0.46:0.55]
set yrange [-1.9:0.3] #[0.28:0.32] #[0.05:0.14]
set xlabel "B-R"
set ylabel "V-I"
plot "../models/filter_comp/johnson___earth__colors.dat" @po title "Earth", \
     "../models/filter_comp/johnson___jupiter__colors.dat" @po title "Jupiter", \
     "../models/filter_comp/johnson___saturn__colors.dat" @po title "Saturn", \
     "../models/filter_comp/johnson___uranus__colors.dat" @po title "Uranus", \
     "../models/filter_comp/johnson___neptune__colors.dat" @po title "Neptune", \
     "../models/filter_comp/johnson___titan__colors.dat" @po title "Titan"
 






set yrange [*:*]
set xrange [350:950]
set key outside below center  #top left Left reverse

set output "planets_around_g2v__sed_johnson.png"
set format x "%.0f"
set ylabel "relative apparent magnitude"
set xlabel "wavelength [nm]"
#set key top left Left reverse
set yrange [2.0:-0.5]
offset=2.0; scale=-0.5
fpo = 'u ($1/10):(offset+scale*$2) w l lt 3 lc rgb "#000000" not'
plot "../models/filter_comp/johnson___earth.sed" u 1:2 w lp title "Earth",\
     "../models/filter_comp/johnson___jupiter.sed" u 1:2 w lp title "Jupiter",\
     "../models/filter_comp/johnson___saturn.sed" u 1:2 w lp title "Saturn",\
     "../models/filter_comp/johnson___uranus.sed" u 1:2 w lp title "Uranus",\
     "../models/filter_comp/johnson___neptune.sed" u 1:2 w lp title "Neptune",\
     "../models/filter_comp/johnson___titan.sed" u 1:2 w lp title "Titan",\
     "../filters/Johnson_B.dat" @fpo,\
     "../filters/Johnson_V.dat" @fpo,\
     "../filters/Johnson_R.dat" @fpo,\
     "../filters/Johnson_I.dat" @fpo


set output "planets_around_g2v__sed_wfirst.png"
set format x "%.0f"
set ylabel "relative apparent magnitude"
set xlabel "wavelength [nm]"
set xrange [350:950]
set yrange [3.5:-0.5]
set key top left Left reverse
offset=3.5; scale=-0.5
plot "../models/filter_comp/wfirst__earth.sed" u 1:2 w lp title "Earth",\
     "../models/filter_comp/wfirst__jupiter.sed" u 1:2 w lp title "Jupiter",\
     "../models/filter_comp/wfirst__saturn.sed" u 1:2 w lp title "Saturn",\
     "../models/filter_comp/wfirst__uranus.sed" u 1:2 w lp title "Uranus",\
     "../models/filter_comp/wfirst__neptune.sed" u 1:2 w lp title "Neptune",\
     "../models/filter_comp/wfirst__titan.sed" u 1:2 w lp title "Titan", \
     "../filters/wfirst_coronagraph_b1.filter" @fpo, \
     "../filters/wfirst_coronagraph_b2.filter" @fpo, \
     "../filters/wfirst_coronagraph_b3.filter" @fpo, \
     "../filters/wfirst_coronagraph_b4.filter" @fpo

