set term png size 900,600 font ",16'
set macros


set xrange [400:1000]
set yrange [0:1.1]

set xlabel "Wavelength [nm]"
set ylabel "flux [f_0/nm]"

po = 'u ($2/10):($3/3e4)'
po2 = 'w l lc rgb "#808080" lt 1 lw 3 not'

set output "solarsystem_specs.png"
plot "../models/spectra/sun.spec" @po lc 1 title "Sun" w l, \
     "../models/spectra/sun.spec.earth" @po lc 2 title "Earth" w l, \
     "../models/spectra/sun.spec.jupiter" @po lc 3 title "Jupiter" w l, \
     "../models/spectra/sun.spec.saturn" @po lc 4 title "Saturn" w l, \
     "../models/spectra/sun.spec.uranus" @po lc 5 title "Uranus" w l, \
     "../models/spectra/sun.spec.neptune" @po lc 6 title "Neptune" w l, \
     "../models/spectra/sun.spec.titan" @po lc 7 title "Titan" w l
     
set output "solarsystem_specs+filter.png"
plot "../filters/wfirst_img_1.filter" u ($1/10):($2*1.0) @po2,\
     "../filters/wfirst_img_2.filter" u ($1/10):($2*0.9) @po2,\
     "../filters/wfirst_img_3.filter" u ($1/10):($2*0.5) @po2,\
     "../filters/wfirst_img_4.filter" u ($1/10):($2*0.45) @po2, \
     "../models/spectra/sun.spec" @po lc 1 title "Sun" w l, \
     "../models/spectra/sun.spec.earth" @po lc 2 title "Earth" w l, \
     "../models/spectra/sun.spec.jupiter" @po lc 3 title "Jupiter" w l, \
     "../models/spectra/sun.spec.saturn" @po lc 4 title "Saturn" w l, \
     "../models/spectra/sun.spec.uranus" @po lc 5 title "Uranus" w l, \
     "../models/spectra/sun.spec.neptune" @po lc 6 title "Neptune" w l, \
     "../models/spectra/sun.spec.titan" @po lc 7 title "Titan" w l
     
     

set output "otherearths_specs.png"
plot "../models/spectra/sun.spec" @po lc 1 title "Sun" w l, \
     "../models/spectra/sun.spec.earth" @po lc 2 title "Earth" w l, \
     "../models/spectra/sun.spec.sand" @po lc 3 title "Sand" w l, \
     "../models/spectra/sun.spec.water" @po lc 4 title "Water" w l, \
     "../models/spectra/sun.spec.snow" @po lc 5 title "Snow" w l, \
     "../models/spectra/sun.spec.vegetation" @po lc 6 title "Vegetation" w l
     

set output "otherearths_specs+filters.png"
plot "../filters/wfirst_img_1.filter" u ($1/10):($2*1.0) @po2,\
     "../filters/wfirst_img_2.filter" u ($1/10):($2*0.9) @po2,\
     "../filters/wfirst_img_3.filter" u ($1/10):($2*0.5) @po2,\
     "../filters/wfirst_img_4.filter" u ($1/10):($2*0.45) @po2, \
     "../models/spectra/sun.spec" @po lc 1 title "Sun" w l, \
     "../models/spectra/sun.spec.earth" @po lc 2 title "Earth" w l, \
     "../models/spectra/sun.spec.sand" @po lc 3 title "Sand" w l, \
     "../models/spectra/sun.spec.water" @po lc 4 title "Water" w l, \
     "../models/spectra/sun.spec.snow" @po lc 5 title "Snow" w l, \
     "../models/spectra/sun.spec.vegetation" @po lc 6 title "Vegetation" w l
     

