set term png size 800,650 font ",20"
set macros

set output "traub_oppenheimer_2010_fig7.png"
set xlabel "m(blue) - m(green)"
set ylabel "m(green) - m(red)"
set xrange [-1.3:1.3]
set yrange [-1.8:0.4]
set size ratio -1
set mxtics 5
set mytics 5
set format x "%.1f"
set format y "%.1f"

po = ' u ($2-$3):($3-$4):($2-$4)  w p ps 3 pt 7 not'
po2 = ' u ($2-$3):($3-$4) not'
plot "../models/filter_comp/to2010___earth__colors.dat" @po,\
     "../models/filter_comp/to2010___jupiter__colors.dat" @po,\
     "../models/filter_comp/to2010___saturn__colors.dat" @po,\
     "../models/filter_comp/to2010___uranus__colors.dat" @po,\
     "../models/filter_comp/to2010___neptune__colors.dat" @po,\
     "../models/filter_comp/to2010___titan__colors.dat" @po,\
     \
     "../models/filter_comp/to2010___earth__colors.dat" u ($2-$3-0.2):($3-$4):("Earth") w labels not,\
     "../models/filter_comp/to2010___jupiter__colors.dat" u ($2-$3-0.25):($3-$4):("Jupiter") w labels not,\
     "../models/filter_comp/to2010___saturn__colors.dat" u \
     ($2-$3+0.05):($3-$4+0.05):("Saturn") w labels left rotate by 30 not,\
     "../models/filter_comp/to2010___uranus__colors.dat" u ($2-$3+0.1):($3-$4-0.1):("Uranus") w labels not,\
     "../models/filter_comp/to2010___neptune__colors.dat" u ($2-$3-0.15):($3-$4+0.1):("Neptune") w labels not,\
     "../models/filter_comp/to2010___titan__colors.dat" u\
     ($2-$3+0.05):($3-$4-0.05):("Titan") w labels left rotate by -30 not,\
     0.85*x-0.8 not lt 1
     
